<?php

/**
 * @file
 * Name translations for searching purposes for the Cura Childcare Suite.
 */

/**
 * Returns an array of related firstnames used in search algorithms.
 */
function cura_get_firstnames($firstname) {
  $lists = array(
    array('Aaron', 'Ron', 'Ronnie'),
    array('Abigail', 'Abbie', 'Abby'),
    array('Abraham', 'Ab', 'Abe'),
    array('Adele', 'Addy', 'Dell'),
    array('Adrian', 'Ade', 'Adrianne'),
    array('Agatha', 'Aggy'),
    array('Alan', 'Allan', 'Allen'),
    array('Alastair', 'Al'),
    array('Albert', 'Bert', 'Bertie'),
    array('Alex', 'Alexander', 'Alexandra'),
    array('Alfred', 'Fred', 'Freddie', 'Freddy'),
    array('Alison', 'Ali', 'Allie', 'Allison', 'Allyson', 'Alyson'),
    array('Almena', 'Almina', 'Mena'),
    array('Almira', 'Mira', 'Myra'),
    array('Alonzo', 'Alonz', 'Lonz', 'Lonzo'),
    array('Alphinias', 'Alphus'),
    array('Alverta', 'Virdie', 'Vert'),
    array('Alyssa', 'Lissia'),
    array('Alzada', 'Zada'),
    array('Amanda', 'Manda', 'Mandy'),
    array('Ambrose', 'Brose'),
    array('Amelia', 'Amy', 'Mel', 'Millie', 'Emily'),
    array('Amos', 'Moses'),
    array('Anastasia', 'Ana', 'Stacy'),
    array('Anderson', 'Ander'),
    array('Andrew', 'Andrea', 'Andy', 'Drea', 'Drew', 'Rea'),
    array('Angela', 'Angelica', 'Angelina', 'Angel', 'Angeline', 'Jane', 'Angie', 'Lina'),
    array('Ann', 'Anna', 'Anne', 'Annie'),
    array('Annette', 'Netta', 'Nette', 'Nettie'),
    array('Annie', 'Ann', 'Anna'),
    array('Anselm', 'Ansel', 'Selma', 'Anse', 'Ance'),
    array('Anthony', 'Ant', 'Antonio', 'Antony', 'Tony'),
    array('Antoinette', 'Netta'),
    array('Antonia', 'Toni'),
    array('Appoline', 'Appy', 'Appie'),
    array('Aquilla', 'Quil', 'Quillie'),
    array('Arabella', 'Ara', 'Arabelle', 'Arry', 'Bella', 'Belle'),
    array('Araminta', 'Armida', 'Middie', 'Ruminta', 'Minty'),
    array('Archibald', 'Archie'),
    array('Archilles', 'Kill', 'Killis'),
    array('Ariadne', 'Arie'),
    array('Arielle', 'Arie'),
    array('Aristotle', 'Telly'),
    array('Arizona', 'Onie', 'Ona'),
    array('Arlene', 'Arly', 'Lena'),
    array('Armanda', 'Mandy'),
    array('Armena', 'Mena', 'Arry'),
    array('Armilda', 'Milly'),
    array('Arminda', 'Mindie'),
    array('Arminta', 'Minite', 'Minnie'),
    array('Arnold', 'Arn', 'Arnie'),
    array('Arthur', 'Art'),
    array('Artelepsa', 'Epsey'),
    array('Artemus', 'Art'),
    array('Arthusa', 'Thursa'),
    array('Arzada', 'Zaddi'),
    array('Asahel', 'Asa'),
    array('Asaph', 'Asa'),
    array('Asenath', 'Sene', 'Assene', 'Natty'),
    array('Aubrey', 'Bree'),
    array('Audrey', 'Aud', 'Dee'),
    array('August', 'Gus'),
    array('Augusta', 'Tina', 'Aggy', 'Gatsy', 'Gussie'),
    array('Augustina', 'Tina', 'Aggy', 'Gatsy', 'Gussie'),
    array('Augustine', 'Gus', 'Austin', 'August'),
    array('Augustus', 'Gus', 'Austin', 'August'),
    array('Aurelia', 'Ree', 'Rilly', 'Orilla', 'Aurilla', 'Ora'),
    array('Avarilla', 'Rilla'),
    array('Azariah', 'Riah', 'Aze'),
    array('Babs', 'Barby', 'Barbara', 'Bab'),
    array('Barbara', 'Barby', 'Babs', 'Bab', 'Bobbie'),
    array('Barbery', 'Barbara'),
    array('Barbie', 'Barbara'),
    array('Barnabas', 'Barney'),
    array('Barney', 'Barnabas'),
    array('Bart', 'Bartholomew'),
    array('Bartholomew', 'Bartel', 'Bat', 'Meus', 'Bart', 'Mees'),
    array('Barticus', 'Bart'),
    array('Bazaleel', 'Basil'),
    array('Beatrice', 'Bea', 'Trisha', 'Trixie', 'Trix'),
    array('Becca', 'Beck'),
    array('Beck', 'Becky'),
    array('Bedelia', 'Delia', 'Bridgit'),
    array('Belinda', 'Belle', 'Linda'),
    array('Bella', 'Belle', 'Arabella', 'Isabella'),
    array('Benedict', 'Bennie', 'Ben'),
    array('Benjamin', 'Benjy', 'Jamie', 'Bennie', 'Ben'),
    array('Benjy', 'Benjamin'),
    array('Bernard', 'Barney', 'Bernie', 'Berney'),
    array('Berney', 'Bernie'),
    array('Bert', 'Bertie', 'Bob', 'Bobby'),
    array('Bertha', 'Bert', 'Birdie', 'Bertie'),
    array('Bertram', 'Bert'),
    array('Bess', 'Bessie'),
    array('Beth', 'Betsy', 'Betty', 'Elizabeth'),
    array('Bethena', 'Beth', 'Thaney'),
    array('Beverly', 'Bev'),
    array('Bezaleel', 'Zeely'),
    array('Biddie', 'Biddy'),
    array('Bill', 'William', 'Billy', 'Robert', 'Willie', 'Fred'),
    array('Blanche', 'Bea'),
    array('Robert', 'Rob', 'Bob'),
    array('Boetius', 'Bo'),
    array('Brad', 'Bradford', 'Ford'),
    array('Brady', 'Brody'),
    array('Brenda', 'Brandy'),
    array('Brian', 'Bryan', 'Bryant'),
    array('Bridget', 'Bridie', 'Biddy', 'Bridgie', 'Biddie'),
    array('Brittany', 'Britt'),
    array('Broderick', 'Ricky', 'Brody', 'Brady', 'Rick'),
    array('Cal', 'Calvin'),
    array('Caldonia', 'Calliedona'),
    array('Caleb', 'Cal'),
    array('California', 'Callie'),
    array('Calista', 'Kissy'),
    array('Calpurnia', 'Cally'),
    array('Calvin', 'Cal', 'Vin', 'Vinny'),
    array('Cameron', 'Cam', 'Ron', 'Ronny'),
    array('Camille', 'Millie', 'Cammie'),
    array('Campbell', 'Cam'),
    array('Candace', 'Candy', 'Dacey'),
    array('Carlotta', 'Lottie'),
    array('Carlton', 'Carl'),
    array('Carmellia', 'Mellia'),
    array('Carmon', 'Charm', 'Cammie', 'Carm'),
    array('Caroline', 'Carolyn', 'Carolann', 'Lynn', 'Carol', 'Carrie', 'Cassie', 'Carole'),
    array('Carthaette', 'Etta', 'Etty'),
    array('Casey', 'KC', 'K.C.'),
    array('Casper', 'Jasper'),
    array('Cassandra', 'Sandy', 'Cassie', 'Sandra'),
    array('Caswell', 'Cass'),
    array('Catherine', 'Kathy', 'Katy', 'Lena', 'Kittie', 'Kit', 'Trina', 'Cathy', 'Kay', 'Cassie'),
    array('Cathleen', 'Kathy', 'Katy', 'Lena', 'Kittie', 'Kit', 'Trina', 'Cathy', 'Kay', 'Cassie'),
    array('Cathy', 'Kathy', 'Cathleen', 'Catherine'),
    array('Cecilia', 'Cissy', 'Celia'),
    array('Cedric', 'Ced', 'Rick', 'Ricky'),
    array('Celeste', 'Lessie', 'Celia'),
    array('Celinda', 'Linda', 'Lynn', 'Lindy'),
    array('Charity', 'Chat'),
    array('Charles', 'Charlie', 'Chuck', 'Carl', 'Chick'),
    array('Charlotte', 'Char', 'Sherry', 'Lottie', 'Lotta'),
    array('Chauncey', 'Chan'),
    array('Cheryl', 'Cher', 'Sheryl', 'Sher'),
    array('Chesley', 'Chet'),
    array('Chester', 'Chet'),
    array('Chick', 'Charlotte', 'Caroline', 'Chuck'),
    array('Chloe', 'Clo'),
    array('Chris', 'Christina', 'Christopher', 'Christine'),
    array('Christa', 'Chris'),
    array('Christian', 'Chris', 'Kit'),
    array('Christiana', 'Kris', 'Kristy', 'Ann', 'Tina', 'Christy', 'Chris', 'Crissy'),
    array('Christina', 'Kris', 'Kristy', 'Tina', 'Christy', 'Chris', 'Crissy'),
    array('Christine', 'Kris', 'Kristy', 'Chrissy', 'Tina', 'Chris', 'Crissy'),
    array('Christopher', 'Chris', 'Kit'),
    array('Christy', 'Crissy'),
    array('Cicely', 'Cilla'),
    array('Cinderella', 'Arilla', 'Rella', 'Cindy', 'Rilla'),
    array('Cindy', 'Cinderlla'),
    array('Claire', 'Clair', 'Clare', 'Clara'),
    array('Clara', 'Clarissa'),
    array('Clare', 'Clara'),
    array('Clarence', 'Clare', 'Clair'),
    array('Clarinda', 'Clara'),
    array('Clarissa', 'Cissy', 'Clara'),
    array('Claudia', 'Claud'),
    array('Cleatus', 'Cleat'),
    array('Clement', 'Clem'),
    array('Clementine', 'Clement', 'Clem'),
    array('Cliff', 'Clifford', 'Cliff'),
    array('Clifford', 'Ford', 'Cliff'),
    array('Clifton', 'Tony', 'Cliff'),
    array('Cole', 'Colie'),
    array('Columbus', 'Clum'),
    array('Con', 'Conny'),
    array('Conrad', 'Conny', 'Con'),
    array('Constance', 'Connie'),
    array('Cordelia', 'Cordy', 'Delia'),
    array('Corey', 'Coco', 'Cordy', 'Ree'),
    array('Corinne', 'Cora', 'Ora'),
    array('Cornelia', 'Nelly', 'Cornie', 'Nelia', 'Corny', 'Nelle'),
    array('Cornelius', 'Conny', 'Niel', 'Corny', 'Con'),
    array('Cory', 'Coco', 'Cordy', 'Ree'),
    array('Courtney', 'Curt', 'Court'),
    array('Crystal', 'Chris', 'Tal', 'Stal', 'Crys'),
    array('Curt', 'Curtis'),
    array('Curtis', 'Curt'),
    array('Cy', 'Cyrus'),
    array('Cynthia', 'Cintha', 'Cindy'),
    array('Cyrenius', 'Swene', 'Cy', 'Serene', 'Renius', 'Cene'),
    array('Cyrus', 'Cy'),
    array('Daisy', 'Margaret'),
    array('Dal', 'Dahl'),
    array('Dalton', 'Dahl'),
    array('Dan', 'Danny', 'Daniel'),
    array('Daniel', 'Dan', 'Danny'),
    array('Danielle', 'Ellie', 'Dani'),
    array('Danny', 'Daniel'),
    array('Daphne', 'Daph', 'Daphie'),
    array('Darlene', 'Lena', 'Darry'),
    array('Dave', 'David'),
    array('Davey', 'David'),
    array('David', 'Dave', 'Day', 'Davey'),
    array('Deanne', 'Ann', 'Dee'),
    array('Deb', 'Deborah', 'Debra'),
    array('Debbie', 'Deb', 'Debra', 'Deborah', 'Debby'),
    array('Debby', 'Deb'),
    array('Debora', 'Deb', 'Debbie', 'Debby'),
    array('Deborah', 'Deb', 'Debbie', 'Debby'),
    array('Debra', 'Deb', 'Debbie'),
    array('Deidre', 'Deedee'),
    array('Delbert', 'Bert', 'Del'),
    array('Delia', 'Fidelia', 'Cordelia', 'Delius'),
    array('Delilah', 'Lil', 'Lila', 'Dell', 'Della'),
    array('Deliverance', 'Delly', 'Dilly', 'Della'),
    array('Dell', 'Della'),
    array('Della', 'Adela', 'Delilah', 'Adelaide'),
    array('Delores', 'Lolly', 'Lola', 'Della', 'Dee', 'Dell'),
    array('Delpha', 'Philadelphia'),
    array('Delphine', 'Delphi', 'Del', 'Delf'),
    array('Demaris', 'Dea', 'Maris', 'Mary'),
    array('Demerias', 'Dea', 'Maris', 'Mary'),
    array('Democrates', 'Mock'),
    array('Denise', 'Dennis'),
    array('Dennis', 'Denny'),
    array('Dennison', 'Denny'),
    array('Derrick', 'Ricky', 'Eric', 'Rick'),
    array('Deuteronomy', 'Duty'),
    array('Diana', 'Dicey', 'Didi', 'Di'),
    array('Diane', 'Dicey', 'Didi', 'Di'),
    array('Dicey', 'Dicie'),
    array('Dick', 'Rick', 'Richard'),
    array('Dickson', 'Dick'),
    array('Domenic', 'Dom'),
    array('Dominic', 'Dom'),
    array('Don', 'Donald'),
    array('Donald', 'Dony', 'Donnie', 'Don', 'Donny'),
    array('Donnie', 'Donald', 'Donny'),
    array('Donny', 'Donald'),
    array('Dorcus', 'Darkey'),
    array('Dorinda', 'Dorothea', 'Dora'),
    array('Doris', 'Dora'),
    array('Dorothea', 'Doda', 'Dora'),
    array('Dorothy', 'Dortha', 'Dolly', 'Dot', 'Dotty'),
    array('Dot', 'Dotty'),
    array('Dotha', 'Dotty'),
    array('Douglas', 'Doug'),
    array('Drew', 'Andrew'),
    array('Drusilla', 'Silla'),
    array('Duncan', 'Dunk'),
    array('Earnest', 'Ernestine', 'Ernie'),
    array('Eb', 'Ebbie'),
    array('Ebenezer', 'Ebbie', 'Eben', 'Eb'),
    array('Ed', 'Eddie', 'Eddy'),
    array('Eddie', 'Eddy'),
    array('Edgar', 'Ed', 'Eddie', 'Eddy'),
    array('Edith', 'Edie', 'Edye'),
    array('Edmond', 'Ed', 'Eddie', 'Eddy'),
    array('Edmund', 'Ed', 'Eddie', 'Ted', 'Eddy', 'Ned'),
    array('Edna', 'Edny'),
    array('Eduardo', 'Ed', 'Eddie', 'Eddy'),
    array('Edward', 'Teddy', 'Ed', 'Ned', 'Ted', 'Eddy', 'Eddie'),
    array('Edwin', 'Ed', 'Eddie', 'Win', 'Eddy', 'Ned'),
    array('Edwina', 'Edwin'),
    array('Edyth', 'Edie', 'Edye'),
    array('Edythe', 'Edie', 'Edye'),
    array('Egbert', 'Bert', 'Burt'),
    array('Eighta', 'Athy'),
    array('Eileen', 'Helen'),
    array('Elaine', 'Lainie', 'Helen'),
    array('Elbert', 'Albert'),
    array('Elbertson', 'Elbert', 'Bert'),
    array('Eleanor', 'Lanna', 'Nora', 'Nelly', 'Ellie', 'Elaine', 'Ellen', 'Lenora'),
    array('Eleazer', 'Lazar'),
    array('Elena', 'Helen'),
    array('Elias', 'Eli', 'Lee', 'Lias'),
    array('Elijah', 'Lige', 'Eli'),
    array('Eliphalel', 'Life'),
    array('Eliphalet', 'Left'),
    array('Elisa', 'Lisa'),
    array('Elisha', 'Lish', 'Eli'),
    array('Eliza', 'Elizabeth'),
    array('Elizabeth', 'Libby', 'Lisa', 'Lib', 'Lizzie', 'Eliza', 'Betsy', 'Liza', 'Betty', 'Bessie', 'Bess', 'Beth', 'Liz'),
    array('Ella', 'Ellen'),
    array('Ellen', 'Nellie', 'Nell', 'Helen'),
    array('Ellender', 'Nellie', 'Ellen', 'Helen'),
    array('Ellie', 'Elly'),
    array('Ellswood', 'Elsey'),
    array('Elminie', 'Minnie'),
    array('Elmira', 'Ellie', 'Elly', 'Mira'),
    array('Elnora', 'Nora'),
    array('Eloise', 'Heloise', 'Louise'),
    array('Elouise', 'Louise'),
    array('Elsie', 'Elsey'),
    array('Elswood', 'Elsey'),
    array('Elvira', 'Elvie'),
    array('Elwood', 'Woody'),
    array('Elysia', 'Lisa'),
    array('Elze', 'Elsey'),
    array('Emanuel', 'Manuel', 'Manny'),
    array('Emeline', 'Em', 'Emmy', 'Emma', 'Milly', 'Emily'),
    array('Emil', 'Emily'),
    array('Emily', 'Emmy', 'Millie', 'Emma', 'Mel'),
    array('Emma', 'Emmy'),
    array('Epaphroditius', 'Dite', 'Ditus', 'Eppa', 'Dyche', 'Dyce'),
    array('Ephraim', 'Eph'),
    array('Erasmus', 'Raze', 'Rasmus'),
    array('Eric', 'Rick', 'Ricky'),
    array('Ernest', 'Ernie'),
    array('Ernestine', 'Teeny', 'Ernest', 'Tina', 'Erna'),
    array('Erwin', 'Irwin'),
    array('Eseneth', 'Senie'),
    array('Essy', 'Es'),
    array('Estella', 'Essy', 'Stella'),
    array('Estelle', 'Essy', 'Stella'),
    array('Esther', 'Hester', 'Essie'),
    array('Eudicy', 'Dicey'),
    array('Eudora', 'Dora'),
    array('Eudoris', 'Dossie', 'Dosie'),
    array('Eugene', 'Gene'),
    array('Eunice', 'Nicie'),
    array('Euphemia', 'Effie', 'Effy'),
    array('Eurydice', 'Dicey'),
    array('Eustacia', 'Stacia', 'Stacy'),
    array('Eva', 'Eve'),
    array('Evaline', 'Eva', 'Lena', 'Eve'),
    array('Evangeline', 'Ev', 'Evan', 'Vangie'),
    array('Evelyn', 'Evelina', 'Ev', 'Eve'),
    array('Experience', 'Exie'),
    array('Ezekiel', 'Zeke', 'Ez'),
    array('Ezideen', 'Ez'),
    array('Ezra', 'Ez'),
    array('Faith', 'Fay'),
    array('Felicia', 'Fel', 'Felix', 'Feli'),
    array('Felicity', 'Flick', 'Tick'),
    array('Feltie', 'Felty'),
    array('Ferdinand', 'Freddie', 'Freddy', 'Ferdie', 'Fred'),
    array('Ferdinando', 'Nando', 'Ferdie', 'Fred'),
    array('Fidelia', 'Delia'),
    array('Flo', 'Florence'),
    array('Flora', 'Florence'),
    array('Florence', 'Flossy', 'Flora', 'Flo'),
    array('Floyd', 'Lloyd'),
    array('Fran', 'Frannie'),
    array('Frances', 'Sis', 'Cissy', 'Frankie', 'Franniey', 'Fran', 'Francie', 'Frannie', 'Fanny'),
    array('Francie', 'Francine'),
    array('Francine', 'Franniey', 'Fran', 'Frannie', 'Francie'),
    array('Francis', 'Fran', 'Frankie', 'Frank'),
    array('Frank', 'Franklin'),
    array('Frankie', 'Frank', 'Francis'),
    array('Franklin', 'Fran', 'Frank'),
    array('Franklind', 'Frank'),
    array('Fred', 'Freddy', 'Frederick'),
    array('Freda', 'Frieda'),
    array('Frederica', 'Frederick'),
    array('Frederick', 'Freddie', 'Freddy', 'Fritz', 'Fred'),
    array('Fredericka', 'Freddy', 'Ricka', 'Freda', 'Frieda'),
    array('Frieda', 'Freddie', 'Freddy', 'Fred'),
    array('Gabby', 'Gabriella', 'Gabe', 'Gabrielle'),
    array('Gabe', 'Gabriel'),
    array('Gabriel', 'Gabe', 'Gabby'),
    array('Gabriella', 'Ella', 'Gabby'),
    array('Gabrielle', 'Ella', 'Gabby'),
    array('Genevieve', 'Jean', 'Eve', 'Jenny'),
    array('Geoff', 'Geoffrey', 'Jeffrey', 'Jeff'),
    array('Geoffrey', 'Geoff', 'Jeff'),
    array('George', 'Jorge', 'Georgiana'),
    array('Georgia', 'George', 'Georgiana'),
    array('Gerald', 'Gerry', 'Jerry'),
    array('Geraldine', 'Gerry', 'Gerrie', 'Jerry', 'Dina'),
    array('Gerhardt', 'Gay'),
    array('Gerrie', 'Geraldine'),
    array('Gerry', 'Gerald', 'Geraldine', 'Jerry'),
    array('Gert', 'Gertie'),
    array('Gertie', 'Gertrude'),
    array('Gertrude', 'Gertie', 'Gert', 'Trudy'),
    array('Gil', 'Gilbert'),
    array('Gilbert', 'Bert', 'Gil', 'Wilber'),
    array('Gloria', 'Glory'),
    array('Governor', 'Govie'),
    array('Greenberry', 'Green', 'Berry'),
    array('Gregory', 'Greg'),
    array('Gretchen', 'Margaret'),
    array('Griselda', 'Grissel'),
    array('Gum', 'Monty'),
    array('Gus', 'Gussie'),
    array('Gustavus', 'Gus'),
    array('Gwen', 'Gwendolyn', 'Wendy'),
    array('Gwendolyn', 'Gwen', 'Wendy'),
    array('Hamilton', 'Ham'),
    array('Hannah', 'Nan', 'Nanny', 'Anna'),
    array('Harold', 'Hal', 'Harry'),
    array('Harriet', 'Hattie'),
    array('Harry', 'Harold', 'Henry'),
    array('Haseltine', 'Hassie'),
    array('Heather', 'Hetty'),
    array('Helen', 'Lena', 'Ella', 'Ellen', 'Ellie'),
    array('Helena', 'Eileen', 'Lena', 'Nell', 'Nellie', 'Eleanor', 'Elaine', 'Ellen', 'Aileen'),
    array('Helene', 'Lena', 'Ella', 'Ellen', 'Ellie'),
    array('Heloise', 'Lois', 'Eloise', 'Elouise'),
    array('Henrietta', 'Hank', 'Etta', 'Etty', 'Retta', 'Nettie'),
    array('Henry', 'Hank', 'Hal', 'Harry'),
    array('Hephsibah', 'Hipsie'),
    array('Hepsibah', 'Hipsie'),
    array('Herb', 'Herbert'),
    array('Herbert', 'Bert', 'Herb'),
    array('Herman', 'Harman', 'Dutch'),
    array('Hermione', 'Hermie'),
    array('Hester', 'Hessy', 'Esther', 'Hetty'),
    array('Hezekiah', 'Hy', 'Hez', 'Kiah'),
    array('Hiram', 'Hy'),
    array('Honora', 'Honey', 'Nora', 'Norry', 'Norah'),
    array('Hopkins', 'Hopp', 'Hop'),
    array('Horace', 'Horry'),
    array('Hortense', 'Harty', 'Tensey'),
    array('Hosea', 'Hosey', 'Hosie'),
    array('Howard', 'Hal', 'Howie'),
    array('Hubert', 'Bert', 'Hugh', 'Hub'),
    array('Ian', 'John'),
    array('Ignatius', 'Natius', 'Iggy', 'Nate', 'Nace'),
    array('Ignatzio', 'Naz', 'Iggy', 'Nace'),
    array('Immanuel', 'Manuel', 'Emmanuel'),
    array('India', 'Indie', 'Indy'),
    array('Inez', 'Agnes'),
    array('Iona', 'Onnie'),
    array('Irene', 'Rena'),
    array('Irvin', 'Irving'),
    array('Irving', 'Irv'),
    array('Irwin', 'Erwin'),
    array('Isaac', 'Ike', 'Zeke'),
    array('Isabel', 'Tibbie', 'Bell', 'Nib', 'Belle', 'Bella', 'Nibby', 'Ib', 'Issy'),
    array('Isabella', 'Tibbie', 'Nib', 'Belle', 'Bella', 'Nibby', 'Ib', 'Issy'),
    array('Isabelle', 'Tibbie', 'Nib', 'Belle', 'Bella', 'Nibby', 'Ib', 'Issy'),
    array('Isadora', 'Issy', 'Dora'),
    array('Isaiah', 'Zadie', 'Zay'),
    array('Isidore', 'Izzy'),
    array('Iva', 'Ivy'),
    array('Ivan', 'John'),
    array('Jackson', 'Jack'),
    array('Jacob', 'Jaap', 'Jake', 'Jay'),
    array('Jacobus', 'Jacob'),
    array('Jacqueline', 'Jackie', 'Jack'),
    array('Jahoda', 'Hody', 'Hodie', 'Hoda'),
    array('James', 'Jimmy', 'Jim', 'Jamie', 'Jimmie', 'Jem'),
    array('Jamie', 'James', 'Ben'),
    array('Jane', 'Janie', 'Jessie', 'Jean', 'Jennie'),
    array('Janet', 'Jan', 'Jessie'),
    array('Janice', 'Jan'),
    array('Jannett', 'Nettie'),
    array('Jasper', 'Jap', 'Casper'),
    array('Jayme', 'Jay'),
    array('Jean', 'Jane', 'Jeannie'),
    array('Jeanette', 'Jessie', 'Jean', 'Janet', 'Nettie'),
    array('Jeanne', 'Jane', 'Jeannie'),
    array('Jeb', 'Jebadiah'),
    array('Jedediah', 'Dyer', 'Jed', 'Diah'),
    array('Jedidiah', 'Jed'),
    array('Jeff', 'Geoffrey', 'Jeffrey'),
    array('Jefferey', 'Jeff'),
    array('Jefferson', 'Sonny', 'Jeff'),
    array('Jeffrey', 'Geoff', 'Jeff'),
    array('Jehiel', 'Hiel'),
    array('Jehu', 'Hugh', 'Gee'),
    array('Jemima', 'Mima'),
    array('Jennet', 'Jessie', 'Jenny'),
    array('Jennifer', 'Jennie'),
    array('Jenny', 'Jennifer'),
    array('Jeremiah', 'Jereme', 'Jerry'),
    array('Jerita', 'Rita'),
    array('Jerry', 'Jereme', 'Geraldine'),
    array('Jessica', 'Jessie'),
    array('Jessie', 'Jane', 'Jess', 'Janet'),
    array('Jim', 'Jimmie'),
    array('Jincy', 'Jane'),
    array('Jinsy', 'Jane'),
    array('Joan', 'Jo', 'Nonie'),
    array('Joann', 'Jo'),
    array('Joanna', 'Hannah', 'Jody', 'Jo', 'Joan'),
    array('Joanne', 'Jo'),
    array('Jody', 'Jo'),
    array('Joe', 'Joseph', 'Joey'),
    array('Joey', 'Joseph'),
    array('Johanna', 'Jo'),
    array('Johannah', 'Hannah', 'Jody', 'Joan', 'Nonie'),
    array('Johannes', 'Jonathan', 'John', 'Johnny'),
    array('John', 'Jack', 'Johnny', 'Jock'),
    array('Jon', 'John', 'Nathan'),
    array('Jonathan', 'John', 'Nathan'),
    array('Joseph', 'Jody', 'Jos', 'Joe', 'Joey'),
    array('Josephine', 'Fina', 'Jody', 'Jo', 'Josey', 'Joey'),
    array('Josetta', 'Jettie'),
    array('Josey', 'Josophine'),
    array('Josh', 'Joshua'),
    array('Joshua', 'Jos', 'Josh'),
    array('Josiah', 'Jos'),
    array('Joyce', 'Joy'),
    array('Juanita', 'Nita', 'Nettie'),
    array('Judah', 'Juder', 'Jude'),
    array('Judith', 'Judie', 'Juda', 'Judy', 'Judi', 'Jude'),
    array('Judson', 'Sonny', 'Jud'),
    array('Judy', 'Judith'),
    array('Julia', 'Julie', 'Jill'),
    array('Julian', 'Jule'),
    array('Julias', 'Jule'),
    array('Julie', 'Julia', 'Jule'),
    array('June', 'Junius'),
    array('Junior', 'Junie', 'June', 'Jr'),
    array('Justin', 'Justus', 'Justina'),
    array('Karonhappuck', 'Karon', 'Karen', 'Carrie', 'Happy'),
    array('Kasey', 'K.c.'),
    array('Katarina', 'Catherine', 'Tina'),
    array('Kate', 'Kay'),
    array('Katelin', 'Kay', 'Kate', 'Kaye'),
    array('Katelyn', 'Kay', 'Kate', 'Kaye'),
    array('Katherine', 'Kathy', 'Katy', 'Lena', 'Kittie', 'Kaye', 'Kit', 'Trina', 'Cathy', 'Kay', 'Kate', 'Cassie'),
    array('Kathleen', 'Kathy', 'Katy', 'Lena', 'Kittie', 'Kit', 'Trina', 'Cathy', 'Kay', 'Cassie'),
    array('Kathryn', 'Kathy'),
    array('Katy', 'Kathy'),
    array('Kayla', 'Kay'),
    array('Ken', 'Kenneth'),
    array('Kendall', 'Ken', 'Kenny'),
    array('Kendra', 'Kenj', 'Kenji', 'Kay', 'Kenny'),
    array('Kendrick', 'Ken', 'Kenny'),
    array('Kenneth', 'Ken', 'Kenny', 'Kendrick'),
    array('Kenny', 'Ken', 'Kenneth'),
    array('Kent', 'Ken', 'Kenny', 'Kendrick'),
    array('Keziah', 'Kizza', 'Kizzie'),
    array('Kim', 'Kimberly', 'Kimberley'),
    array('Kimberley', 'Kim'),
    array('Kimberly', 'Kim'),
    array('Kingsley', 'King'),
    array('Kingston', 'King'),
    array('Kit', 'Kittie'),
    array('Kris', 'Chris'),
    array('Kristel', 'Kris'),
    array('Kristen', 'Chris'),
    array('Kristin', 'Chris'),
    array('Kristine', 'Kris', 'Kristy', 'Tina', 'Christy', 'Chris', 'Crissy'),
    array('Kristopher', 'Chris', 'Kris'),
    array('Kristy', 'Chris'),
    array('Lafayette', 'Laffie', 'Fate'),
    array('Lamont', 'Monty'),
    array('Laodicia', 'Dicy', 'Cenia'),
    array('Larry', 'Laurence', 'Lawrence'),
    array('Lauren', 'Ren', 'Laurie'),
    array('Laurence', 'Lorry', 'Larry', 'Lon', 'Lonny', 'Lorne'),
    array('Laurinda', 'Laura', 'Lawrence'),
    array('Lauryn', 'Laurie'),
    array('Laveda', 'Veda'),
    array('Laverne', 'Vernon', 'Verna'),
    array('Lavina', 'Vina', 'Viney', 'Ina'),
    array('Lavinia', 'Vina', 'Viney', 'Ina'),
    array('Lavonia', 'Vina', 'Vonnie', 'Wyncha', 'Viney'),
    array('Lavonne', 'Von'),
    array('Lawrence', 'Lorry', 'Larry', 'Lon', 'Lonny', 'Lorne'),
    array('Leanne', 'Lea', 'Annie'),
    array('Lecurgus', 'Curg'),
    array('Lemuel', 'Lem'),
    array('Lena', 'Ellen'),
    array('Lenora', 'Nora', 'Lee'),
    array('Leo', 'Leon'),
    array('Leonard', 'Lineau', 'Leo', 'Leon', 'Len', 'Lenny'),
    array('Leonidas', 'Lee', 'Leon'),
    array('Leonora', 'Nora', 'Nell', 'Nellie'),
    array('Leonore', 'Nora', 'Honor', 'Elenor'),
    array('Leroy', 'Roy', 'Lee', 'L.r.'),
    array('Les', 'Lester'),
    array('Leslie', 'Les'),
    array('Lester', 'Les'),
    array('Letitia', 'Tish', 'Titia', 'Lettice', 'Lettie'),
    array('Levi', 'Lee'),
    array('Levicy', 'Vicy'),
    array('Levone', 'Von'),
    array('Lib', 'Libby'),
    array('Lidia', 'Lyddy'),
    array('Lil', 'Lilly', 'Lily'),
    array('Lillah', 'Lil', 'Lilly', 'Lily', 'Lolly'),
    array('Lillian', 'Lil', 'Lilly', 'Lolly'),
    array('Lilly', 'Lily'),
    array('Lincoln', 'Link'),
    array('Linda', 'Lindy', 'Lynn'),
    array('Lindy', 'Lynn'),
    array('Lionel', 'Leon'),
    array('Lisa', 'Lizzie', 'Alice', 'Liz', 'Melissa'),
    array('Littleberry', 'Little', 'Berry', 'L.b.'),
    array('Liz', 'Elizabeth'),
    array('Lizzie', 'Elizabeth', 'Liz'),
    array('Lois', 'Lou', 'Louise'),
    array('Lon', 'Lonzo'),
    array('Lorenzo', 'Loren'),
    array('Loretta', 'Etta', 'Lorrie', 'Retta'),
    array('Lorraine', 'Lorrie'),
    array('Lotta', 'Lottie'),
    array('Lou', 'Louis', 'Lu'),
    array('Louis', 'Lewis', 'Louise', 'Louie', 'Lou'),
    array('Louisa', 'Eliza', 'Lou', 'Lois'),
    array('Louise', 'Eliza', 'Lou', 'Lois'),
    array('Louvinia', 'Vina', 'Vonnie', 'Wyncha', 'Viney'),
    array('Lucas', 'Luke'),
    array('Lucia', 'Lucy', 'Lucius'),
    array('Lucias', 'Luke'),
    array('Lucille', 'Cille', 'Lu', 'Lucy'),
    array('Lucina', 'Sinah'),
    array('Lucinda', 'Lu', 'Lucy', 'Cindy'),
    array('Lucretia', 'Creasey'),
    array('Lucy', 'Lucinda'),
    array('Luella', 'Lula', 'Ella', 'Lu'),
    array('Luke', 'Lucas'),
    array('Lunetta', 'Nettie'),
    array('Lurana', 'Lura'),
    array('Luther', 'Luke'),
    array('Lydia', 'Lyddy'),
    array('Lyndon', 'Lindy', 'Lynn'),
    array('Mabel', 'Mehitabel', 'Amabel'),
    array('Mackenzie', 'Kenzy', 'Mac', 'Mack', 'Mc'),
    array('Madeline', 'Maddy', 'Maddie', 'Madie', 'Madelyn', 'Lena', 'Magda', 'Madge'),
    array('Madison', 'Mattie'),
    array('Magdalena', 'Maggie', 'Lena'),
    array('Magdelina', 'Lena', 'Magda', 'Madge'),
    array('Mahala', 'Hallie'),
    array('Malachi', 'Mally'),
    array('Malcolm', 'Mac', 'Mal', 'Malc'),
    array('Malinda', 'Lindy'),
    array('Manda', 'Mandy'),
    array('Mandy', 'Amanda'),
    array('Manerva', 'Minerva', 'Nervie', 'Eve', 'Nerva'),
    array('Manny', 'Manuel'),
    array('Manoah', 'Noah'),
    array('Manola', 'Nonnie'),
    array('Manuel', 'Emanuel', 'Manny'),
    array('Marcus', 'Mark'),
    array('Margaret', 'Maggie', 'Meg', 'Peg', 'Midge', 'Margy', 'Margie', 'Madge', 'Peggy', 'Maggy', 'Marge', 'Daisy', 'Margery', 'Gretta', 'Rita'),
    array('Margaretta', 'Maggie', 'Meg', 'Peg', 'Midge', 'Margie', 'Madge', 'Peggy', 'Marge', 'Daisy', 'Margery', 'Gretta', 'Rita'),
    array('Margarita', 'Maggie', 'Meg', 'Metta', 'Midge', 'Greta', 'Megan', 'Maisie', 'Madge', 'Marge', 'Daisy', 'Peggie', 'Rita', 'Margo'),
    array('Marge', 'Margery', 'Margaret', 'Margaretta'),
    array('Margie', 'Marjorie', 'Margie'),
    array('Marguerite', 'Peggy'),
    array('Margy', 'Marjorie'),
    array('Mariah', 'Mary', 'Maria'),
    array('Marian', 'Marianna', 'Marion'),
    array('Marie', 'Mae'),
    array('Marietta', 'Mariah', 'Mercy', 'Polly', 'May', 'Molly', 'Mitzi', 'Minnie', 'Mollie', 'Mae', 'Maureen', 'Marion', 'Marie', 'Mamie', 'Mary', 'Maria'),
    array('Marilyn', 'Mary'),
    array('Marion', 'Mary'),
    array('Marissa', 'Rissa'),
    array('Marjorie', 'Margy', 'Margie'),
    array('Marsha', 'Marcie', 'Mary'),
    array('Martha', 'Marty', 'Mattie', 'Mat', 'Patsy', 'Patty'),
    array('Martin', 'Marty'),
    array('Martina', 'Tina'),
    array('Martine', 'Tine'),
    array('Marv', 'Marvin'),
    array('Marvin', 'Marv'),
    array('Mary', 'Mamie', 'Molly', 'Mae', 'Polly', 'Mitzi'),
    array('Mat', 'Mattie'),
    array('Mathilda', 'Tillie', 'Patty'),
    array('Matilda', 'Tilly', 'Maud', 'Matty'),
    array('Matt', 'Mathew', 'Matthew'),
    array('Matthew', 'Thys', 'Matt', 'Thias', 'Mattie', 'Matty'),
    array('Matthias', 'Thys', 'Matt', 'Thias'),
    array('Maud', 'Middy'),
    array('Maureen', 'Mary'),
    array('Maurice', 'Morey'),
    array('Mavery', 'Mave'),
    array('Mavine', 'Mave'),
    array('Maxine', 'Max'),
    array('May', 'Mae'),
    array('Mckenna', 'Ken', 'Kenna', 'Meaka'),
    array('Medora', 'Dora'),
    array('Megan', 'Meg'),
    array('Mehitabel', 'Hetty', 'Mitty', 'Mabel', 'Hitty'),
    array('Melanie', 'Mellie'),
    array('Melchizedek', 'Zadock', 'Dick'),
    array('Melinda', 'Linda', 'Mel', 'Lynn', 'Mindy', 'Lindy'),
    array('Melissa', 'Lisa', 'Mel', 'Missy', 'Milly', 'Lissa'),
    array('Mellony', 'Mellia'),
    array('Melody', 'Lodi'),
    array('Melvin', 'Mel'),
    array('Melvina', 'Vina'),
    array('Mercedes', 'Merci', 'Mercy'),
    array('Mervin', 'Merv', 'Mervyn'),
    array('Micajah', 'Cage'),
    array('Michael', 'Mick', 'Micky', 'Mike'),
    array('Michelle,mickey'),
    array('Mick', 'Micky'),
    array('Mike', 'Micky', 'Mick', 'Michael'),
    array('Mildred', 'Milly'),
    array('Millicent', 'Missy', 'Milly'),
    array('Minerva', 'Minnie'),
    array('Minnie', 'Wilhelmina'),
    array('Miranda', 'Randy', 'Mandy', 'Mira'),
    array('Miriam', 'Mimi', 'Mitzi', 'Mitzie'),
    array('Missy', 'Melissa'),
    array('Mitch', 'Mitchell'),
    array('Mitchell', 'Mitch'),
    array('Mitzi', 'Mary', 'Mittie', 'Mitty'),
    array('Mitzie', 'Mittie', 'Mitty'),
    array('Monet', 'Nettie'),
    array('Monica', 'Monna', 'Monnie'),
    array('Monteleon', 'Monte'),
    array('Montesque', 'Monty'),
    array('Montgomery', 'Monty', 'Gum'),
    array('Monty', 'Lamont'),
    array('Morris', 'Morey'),
    array('Mortimer', 'Mort'),
    array('Moses', 'Amos', 'Mose', 'Moss'),
    array('Muriel', 'Mur'),
    array('Myrtle', 'Myrt', 'Myrti', 'Mert'),
    array('Nadine', 'Nada', 'Deedee'),
    array('Nancy', 'Nan', 'Nanna', 'Nanny'),
    array('Naomi', 'Omi'),
    array('Napoleon', 'Nap', 'Nappy', 'Leon'),
    array('Natalie', 'Natty', 'Nettie'),
    array('Natasha', 'Tasha', 'Nat'),
    array('Nathan', 'Nate', 'Nat'),
    array('Nathaniel', 'Than', 'Nathan', 'Nate', 'Nat', 'Natty'),
    array('Nelle', 'Nelly'),
    array('Nelson', 'Nels'),
    array('Newt', 'Newton'),
    array('Nicholas', 'Nick', 'Claes', 'Claas'),
    array('Nick', 'Nik', 'Nicholas'),
    array('Nickie', 'Nicholas'),
    array('Nicodemus', 'Nick'),
    array('Nicole', 'Nole', 'Nikki', 'Cole'),
    array('Nik', 'Nick'),
    array('Nora', 'Nonie'),
    array('Norbert', 'Bert', 'Norby'),
    array('Nowell', 'Noel'),
    array('Obadiah', 'Dyer', 'Obed', 'Obie', 'Diah'),
    array('Obedience', 'Obed', 'Beda', 'Beedy', 'Biddie'),
    array('Obie', 'Obediah'),
    array('Octavia', 'Tave', 'Tavia'),
    array('Odell', 'Odo'),
    array('Olive', 'Nollie', 'Livia', 'Ollie'),
    array('Oliver', 'Ollie'),
    array('Olivia', 'Nollie', 'Livia', 'Ollie'),
    array('Ollie', 'Oliver'),
    array('Onicyphorous', 'Cyphorus', 'Osaforus', 'Syphorous', 'One', 'Cy', 'Osaforum'),
    array('Orilla', 'Rilly', 'Ora'),
    array('Orlando', 'Roland'),
    array('Orphelia', 'Phelia'),
    array('Ossy', 'Ozzy'),
    array('Oswald', 'Ozzy', 'Waldo', 'Ossy'),
    array('Otis', 'Ode', 'Ote'),
    array('Ozzy', 'Oswald'),
    array('Pamela', 'Pam'),
    array('Pandora', 'Dora'),
    array('Parmelia', 'Amelia', 'Milly', 'Melia'),
    array('Parthenia', 'Teeny', 'Parsuny', 'Pasoonie', 'Phenie'),
    array('Pat', 'Patrick', 'Pat', 'Patricia'),
    array('Patience', 'Pat', 'Patty'),
    array('Patricia', 'Tricia', 'Pat', 'Patsy', 'Patty'),
    array('Patrick', 'Pate', 'Peter', 'Pat', 'Patsy', 'Paddy'),
    array('Patsy', 'Patty'),
    array('Patty', 'Patricia'),
    array('Paul', 'Polly', 'Paula', 'Pauline'),
    array('Paula', 'Polly', 'Lina'),
    array('Paulina', 'Polly', 'Lina'),
    array('Pauline', 'Polly'),
    array('Peg', 'Peggy'),
    array('Pelegrine', 'Perry'),
    array('Penelope', 'Penny'),
    array('Percival', 'Percy'),
    array('Peregrine', 'Perry'),
    array('Permelia', 'Melly', 'Milly', 'Mellie'),
    array('Pernetta', 'Nettie'),
    array('Persephone', 'Seph', 'Sephy'),
    array('Pete', 'Peter'),
    array('Peter', 'Pete', 'Pate'),
    array('Petronella', 'Nellie'),
    array('Pheney', 'Josephine'),
    array('Pheriba', 'Pherbia', 'Ferbie'),
    array('Phil', 'Phillip', 'Philip'),
    array('Philadelphia', 'Delphia'),
    array('Philander', 'Fie'),
    array('Philetus', 'Leet', 'Phil'),
    array('Philinda', 'Linda', 'Lynn', 'Lindy'),
    array('Philip', 'Phil'),
    array('Philipina', 'Phoebe', 'Penie'),
    array('Phillip', 'Phil'),
    array('Philly', 'Delphia'),
    array('Philomena', 'Menaalmena'),
    array('Phoebe', 'Fifi'),
    array('Pinckney', 'Pink'),
    array('Pleasant', 'Ples'),
    array('Pocahontas', 'Pokey'),
    array('Posthuma', 'Humey'),
    array('Prescott', 'Scotty', 'Scott', 'Pres'),
    array('Priscilla', 'Prissy', 'Cissy', 'Cilla'),
    array('Providence', 'Provy'),
    array('Prudence', 'Prue', 'Prudy'),
    array('Prudy', 'Prudence'),
    array('Rachel', 'Shelly'),
    array('Rafaela', 'Rafa'),
    array('Ramona', 'Mona'),
    array('Randolph', 'Dolph', 'Randy'),
    array('Raphael', 'Ralph'),
    array('Ray', 'Raymond'),
    array('Raymond', 'Ray'),
    array('Reba', 'Beck', 'Becca'),
    array('Rebecca', 'Beck', 'Becca', 'Reba', 'Becky'),
    array('Reg', 'Reggie'),
    array('Reggie', 'Reginald'),
    array('Regina', 'Reggie', 'Gina'),
    array('Reginald', 'Reggie', 'Naldo', 'Reg', 'Renny'),
    array('Relief', 'Leafa'),
    array('Reuben', 'Rube'),
    array('Reynold', 'Reginald'),
    array('Rhoda', 'Rodie'),
    array('Rhodella', 'Della'),
    array('Rhyna', 'Rhynie'),
    array('Ricardo', 'Rick', 'Ricky'),
    array('Rich', 'Dick', 'Rick', 'Riche', 'Richard'),
    array('Richard', 'Dick', 'Dickon', 'Dickie', 'Dicky', 'Rick', 'Rich', 'Ricky'),
    array('Richie', 'Richard'),
    array('Rick', 'Ricky'),
    array('Ricky', 'Dick', 'Rich'),
    array('Robert', 'Hob', 'Hobkin', 'Dob', 'Rob', 'Bobby', 'Dobbin', 'Bob'),
    array('Roberta', 'Robbie', 'Bert', 'Bobbie', 'Birdie', 'Bertie'),
    array('Roderick', 'Rod', 'Erick', 'Rickie'),
    array('Rodger', 'Roge', 'Bobby', 'Hodge', 'Rod', 'Robby', 'Rupert', 'Robin'),
    array('Roger', 'Roge', 'Bobby', 'Hodge', 'Rod', 'Robby', 'Rupert', 'Robin'),
    array('Roland', 'Rollo', 'Lanny', 'Orlando', 'Rolly'),
    array('Ron', 'Ronald', 'Ronnie', 'Ronny'),
    array('Ronald', 'Naldo', 'Ron', 'Ronny'),
    array('Ronnie', 'Ronald'),
    array('Ronny', 'Ronald'),
    array('Rosa', 'Rose'),
    array('Rosabel', 'Belle', 'Roz', 'Rosa', 'Rose'),
    array('Rosabella', 'Belle', 'Roz', 'Rosa', 'Rose'),
    array('Rosalinda', 'Linda', 'Roz', 'Rosa', 'Rose'),
    array('Rosalyn', 'Linda', 'Roz', 'Rosa', 'Rose'),
    array('Roscoe', 'Ross'),
    array('Rose', 'Rosie'),
    array('Roseann', 'Rose', 'Ann', 'Rosie', 'Roz'),
    array('Roseanna', 'Rose', 'Ann', 'Rosie', 'Roz'),
    array('Roseanne', 'Ann'),
    array('Rosina', 'Sina'),
    array('Roxane', 'Rox', 'Roxie'),
    array('Roxanna', 'Roxie', 'Rose', 'Ann'),
    array('Roxanne', 'Roxie', 'Rose', 'Ann'),
    array('Roz', 'Rosalyn'),
    array('Rube', 'Reuben'),
    array('Rudolph', 'Dolph', 'Rudy', 'Olph', 'Rolf'),
    array('Rudolphus', 'Dolph', 'Rudy', 'Olph', 'Rolf'),
    array('Rudy', 'Rudolph'),
    array('Russ', 'Russell'),
    array('Russell', 'Russ', 'Rusty'),
    array('Rusty', 'Russell'),
    array('Ryan', 'Ry'),
    array('Sabrina', 'Brina'),
    array('Salome', 'Loomie'),
    array('Salvador', 'Sal'),
    array('Sam', 'Sammy', 'Samuel'),
    array('Samantha', 'Sammy', 'Sam', 'Mantha'),
    array('Sammy', 'Samuel'),
    array('Sampson', 'Sam'),
    array('Samson', 'Sam'),
    array('Samuel', 'Sammy', 'Sam'),
    array('Samyra', 'Myra'),
    array('Sandra', 'Sandy', 'Cassandra'),
    array('Sandy', 'Sandra'),
    array('Sanford', 'Sandy'),
    array('Sarah', 'Sally', 'Sadie'),
    array('Sarilla', 'Silla'),
    array('Savannah', 'Vannie', 'Anna'),
    array('Scott', 'Scotty', 'Sceeter', 'Squat', 'Scottie'),
    array('Sebastian', 'Sebby', 'Seb'),
    array('Selma', 'Anselm'),
    array('Serena', 'Rena'),
    array('Serilla', 'Rilla'),
    array('Seymour', 'See', 'Morey'),
    array('Shaina', 'Sha', 'Shay'),
    array('Sharon', 'Sha', 'Shay'),
    array('Sheila', 'Cecilia'),
    array('Sheldon', 'Shelly'),
    array('Shelton', 'Tony', 'Shel', 'Shelly'),
    array('Sheridan', 'Dan', 'Danny', 'Sher'),
    array('Sheryl', 'Sher'),
    array('Shirley', 'Sherry', 'Lee', 'Shirl'),
    array('Sibbilla', 'Sybill', 'Sibbie', 'Sibbell'),
    array('Sidney', 'Syd', 'Sid'),
    array('Sigfired', 'Sid'),
    array('Sigfrid', 'Sid'),
    array('Sigismund', 'Sig'),
    array('Silas', 'Si'),
    array('Silence', 'Liley'),
    array('Silvester', 'Vester', 'Si', 'Sly', 'Vest', 'Syl'),
    array('Simeon', 'Si', 'Sion'),
    array('Simon', 'Si', 'Sion'),
    array('Sly', 'Sylvester'),
    array('Smith', 'Smitty'),
    array('Socrates', 'Crate'),
    array('Solomon', 'Sal', 'Salmon', 'Sol', 'Solly', 'Saul', 'Zolly'),
    array('Sondra', 'Dre', 'Sonnie'),
    array('Sophia', 'Sophie'),
    array('Sophronia', 'Frona', 'Sophia', 'Fronia'),
    array('Stephan', 'Steve'),
    array('Stephanie', 'Stephen', 'Stephie', 'Annie', 'Steph'),
    array('Stephen', 'Steve', 'Steph'),
    array('Steve', 'Stephen', 'Steven'),
    array('Steven', 'Steve', 'Steph'),
    array('Stuart', 'Stu'),
    array('Sue', 'Susie', 'Susan'),
    array('Sullivan', 'Sully', 'Van'),
    array('Sully', 'Sullivan'),
    array('Susan', 'Hannah', 'Susie', 'Sue', 'Sukey', 'Suzie'),
    array('Susannah', 'Hannah', 'Susie', 'Sue', 'Sukey'),
    array('Susie', 'Suzie'),
    array('Suzanne', 'Suki', 'Sue', 'Susie'),
    array('Sybill', 'Sibbie'),
    array('Sydney', 'Sid'),
    array('Sylvanus', 'Sly', 'Syl'),
    array('Sylvester', 'Sy', 'Sly', 'Vet', 'Syl', 'Vester', 'Si', 'Vessie'),
    array('Tabby', 'Tabitha'),
    array('Tabitha', 'Tabby'),
    array('Tamarra', 'Tammy'),
    array('Tanafra', 'Tanny'),
    array('Tasha', 'Tash', 'Tashie'),
    array('Ted', 'Teddy'),
    array('Temperance', 'Tempy'),
    array('Terence', 'Terry'),
    array('Teresa', 'Terry'),
    array('Terry', 'Terence'),
    array('Tess', 'Teresa', 'Theresa'),
    array('Tessa', 'Teresa', 'Theresa'),
    array('Thad', 'Thaddeus'),
    array('Thaddeus', 'Thad'),
    array('Theo', 'Theodore'),
    array('Theodora', 'Dora'),
    array('Theodore', 'Theo', 'Ted', 'Teddy'),
    array('Theodosia', 'Theo', 'Dosia', 'Theodosius'),
    array('Theophilus', 'Ophi'),
    array('Theotha', 'Otha'),
    array('Theresa', 'Tessie', 'Thirza', 'Tessa', 'Terry', 'Tracy', 'Tess', 'Thursa'),
    array('Thom', 'Thomas', 'Tommy', 'Tom'),
    array('Thomas', 'Thom', 'Tommy', 'Tom'),
    array('Thomasa', 'Tamzine'),
    array('Tiffany', 'Tiff', 'Tiffy'),
    array('Tilford', 'Tillie'),
    array('Tim', 'Timothy', 'Timmy'),
    array('Timmy', 'Timothy'),
    array('Timothy', 'Tim', 'Timmy'),
    array('Tina', 'Christina'),
    array('Tobias', 'Bias', 'Toby'),
    array('Tom', 'Thomas', 'Tommy'),
    array('Tommy', 'Thomas'),
    array('Tony', 'Anthony'),
    array('Tranquilla', 'Trannie', 'Quilla'),
    array('Trisha', 'Patricia'),
    array('Trix', 'Trixie'),
    array('Trudy', 'Gertrude'),
    array('Tryphena', 'Phena'),
    array('Unice', 'Eunice', 'Nicie'),
    array('Uriah', 'Riah'),
    array('Ursula', 'Sulie', 'Sula'),
    array('Valentina', 'Felty', 'Vallie', 'Val'),
    array('Valentine', 'Felty'),
    array('Valeri', 'Val'),
    array('Valerie', 'Val'),
    array('Vanburen', 'Buren'),
    array('Vandalia', 'Vannie'),
    array('Vanessa', 'Essa', 'Vanna', 'Nessa'),
    array('Vernisee', 'Nicey'),
    array('Veronica', 'Vonnie', 'Ron', 'Ronna', 'Ronie', 'Frony', 'Franky', 'Ronnie'),
    array('Vic', 'Vicki', 'Victor', 'Vicky'),
    array('Vicki', 'Vicky', 'Victoria'),
    array('Vickie', 'Victoria'),
    array('Vicky', 'Victoria'),
    array('Victor', 'Vic'),
    array('Victoria', 'Torie', 'Vic', 'Vicki', 'Tory', 'Vicky'),
    array('Vin', 'Vinny'),
    array('Vince', 'Vinnie'),
    array('Vincent', 'Vic', 'Vince', 'Vinnie', 'Vin', 'Vinny'),
    array('Vincenzo', 'Vic', 'Vinnie', 'Vin', 'Vinny'),
    array('Vinson', 'Vinny'),
    array('Viola', 'Ola', 'Vi'),
    array('Violetta', 'Lettie'),
    array('Virginia', 'Jane', 'Jennie', 'Ginny', 'Virgy', 'Ginger'),
    array('Vivian', 'Vi', 'Viv'),
    array('Waldo', 'Ozzy', 'Ossy'),
    array('Wallace', 'Walter', 'Wally', 'Walt'),
    array('Washington', 'Wash'),
    array('Webster', 'Webb'),
    array('Wendy', 'Wen'),
    array('Wilber', 'Will', 'Bert'),
    array('Wilbur', 'Willy', 'Willie'),
    array('Wilda', 'Willie'),
    array('Wilfred', 'Will', 'Willie', 'Fred'),
    array('Wilhelmina', 'Mina', 'Wilma', 'Willie', 'Minnie'),
    array('William', 'Will', 'Willy', 'Bell', 'Bela', 'Bill', 'Billy', 'Willie'),
    array('Willis', 'Willy', 'Bill'),
    array('Wilma', 'William', 'Billiewilhelm'),
    array('Wilson', 'Will', 'Willy', 'Willie'),
    array('Winfield', 'Field', 'Winny', 'Win'),
    array('Winifred', 'Winnifred', 'Freddie', 'Freddy', 'Winny', 'Winnie', 'Fred'),
    array('Winny', 'Winnifred'),
    array('Winton', 'Wint'),
    array('Woodrow', 'Woody', 'Wood'),
    array('Yeona', 'Onie', 'Ona'),
    array('Yulan', 'Lan', 'Yul'),
    array('Yvonne', 'Von', 'Vonna'),
    array('Zachariah', 'Zach', 'Zachy', 'Zeke'),
    array('Zebedee', 'Zeb'),
    array('Zedediah', 'Dyer', 'Zed', 'Diah'),
    array('Zephaniah', 'Zeph'),
  );
  $firstname = implode('-', array_map('ucfirst', explode('-', $firstname)));
  $names = array();
  foreach ($lists as $list) {
    if (array_search(strtolower($firstname), array_map('strtolower', $list))) {
      $names = array_unique(array_merge($names, $list));
    }
  }

  return $names ? $names : array($firstname);
}

